/* This file is part of "Heuristics for SONET network design".
   See COPYRIGHT and LICENSE files for details.

   This file, as the whole "Heuristics for SONET network design"
   package, is released under the GNU GPL License.  
   Copyright (C) Pierre Lemaire, 2001.
*/

#include <stdlib.h>
#include <limits.h>

int main(void)
{ int i,j,k;
  int best,iter;
  char s[256];

  /* read the first line, a comment */
  scanf("#%[^\n]", &s);
  printf("%s ; ",s);

  best = INT_MAX;
  iter = 0;
  while(scanf("%d ; %d ; %d", &i,&j,&k) > 0)
    if (j<best){ best = j; iter = i; }

  printf("%d ; %d\n", best, iter);
  return 0;
  }
